package com.ygtx.gxt.mapper;

import java.util.List;
import com.ygtx.gxt.domain.GxtWorkOrderPerson;

/**
 * 工单工作组员Mapper接口
 *
 * @author ygtx
 * @date 2025-10-29
 */
public interface GxtWorkOrderPersonMapper
{
    /**
     * 查询工单工作组员
     *
     * @param id 工单工作组员主键
     * @return 工单工作组员
     */
    public GxtWorkOrderPerson selectGxtWorkOrderPersonById(Long id);

    /**
     * 查询工单工作组员列表
     *
     * @param gxtWorkOrderPerson 工单工作组员
     * @return 工单工作组员集合
     */
    public List<GxtWorkOrderPerson> selectGxtWorkOrderPersonList(GxtWorkOrderPerson gxtWorkOrderPerson);

    /**
     * 新增工单工作组员
     *
     * @param gxtWorkOrderPerson 工单工作组员
     * @return 结果
     */
    public int insertGxtWorkOrderPerson(GxtWorkOrderPerson gxtWorkOrderPerson);

    /**
     * 修改工单工作组员
     *
     * @param gxtWorkOrderPerson 工单工作组员
     * @return 结果
     */
    public int updateGxtWorkOrderPerson(GxtWorkOrderPerson gxtWorkOrderPerson);

    /**
     * 删除工单工作组员
     *
     * @param id 工单工作组员主键
     * @return 结果
     */
    public int deleteGxtWorkOrderPersonById(Long id);

    /**
     * 批量删除工单工作组员
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteGxtWorkOrderPersonByIds(Long[] ids);

    /**
     * 根据工单ID查询工作组员列表
     *
     * @param orderId 工单ID
     * @return 工作组员集合
     */
    public List<GxtWorkOrderPerson> selectGxtWorkOrderPersonByOrderId(Long orderId);

    /**
     * 根据工单ID删除工作组员
     *
     * @param orderId 工单ID
     * @return 结果
     */
    public int deleteGxtWorkOrderPersonByOrderId(Long orderId);

    /**
     * 根据ID需取用户昵称
     *
     * @param userId 用户ID
     * @return 用户昵称
     */
    public String getUserNickNameById(Long userId);
}
